[
    {
        "type": 1,
        "pattern": [
            {
                "text": "客户本地交易被关闭"
            }
        ],
        "newinfo": "客户VIP信息未同步，请重新登录交易系统，如若再次提示，请联系营业部同步普通账户和信用账户信息！",
        "ShowOriginError": "false",
        "ShowErrNo": "true"
    }, 
    {
        "type": 2,
		"isLts": 1,
		"pattern_or": [{"text": "无[O-北交所定向可转债权限]或[N-新三板定向可转债权限]"},
		{"text": "无新三板或北交所协议转让定向"}],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
            "id": "BJSXSBKZZ",
            "class": "BJSXSBKZZ",
            "name": "可转债权限开通"
        },
        "ShowOriginError": "false",
        "newinfo": "该资金帐号无北交所或新三板定向可转债权限,请先开通后再委托。"
    },
    {
        "type": 2,
		"isLts": 1,
		"pattern_or": [{"text": "N-新三板定向可转债权限"},
		{"text": "无股转协议转让定向可转债业务权限"}],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
            "id": "BJSXSBKZZ",
            "class": "BJSXSBKZZ",
            "name": "可转债权限开通"
        },
        "ShowOriginError": "false",
        "newinfo": "该资金帐号无新三板定向可转债权限,请先开通后再委托！"
    },
    {
        "type": 2,
		"isLts": 1,
		"pattern_or": [{"text": "O-北交所定向可转债权限"},
		{"text": "无北交所协议转让定向可转债业务权限"}],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
            "id": "BJSXSBKZZ",
            "class": "BJSXSBKZZ",
            "name": "北交所定向可转债权限开通"
        },
        "ShowOriginError": "false",
        "newinfo": "该资金帐号无北交所定向可转债权限,请先开通后再委托！"
    },
    {
        "type": 2,
		"isLts": 1,
		"pattern": [{"text": "无一类合格投资者权限"}],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
            "id": "XSBYWBL",
            "class": "XSBYWBL",
            "name": "北交所及新三板权限开通"
        },
        "ShowOriginError": "false",
        "newinfo": "该股东账号无一类合格投资者权限,不得进行该基础层证券交易！"
    },
    {
        "type": 2,
		"isLts": 1,
		"pattern": [{"text": "无一类或二类者合格投资者权限"}],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
            "id": "XSBYWBL",
            "class": "XSBYWBL",
            "name": "无北交所及新三板权限开通"
        },
        "ShowOriginError": "false",
        "newinfo": "该股东账号无一类或二类者合格投资者权限,不得进行该创新层证券交易!"
    },
    {
        "type": 2,
		"isLts": 1,
		"pattern": [{"text": "无合格投资者权限"}],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
            "id": "XSBYWBL",
            "class": "XSBYWBL",
            "name": "无北交所及新三板权限开通"
        },
        "ShowOriginError": "false",
        "newinfo": "该股东账号无合格投资者权限,不得交易该证券!"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "客户["
            },
            {
                "text": "不存在"
            }
        ],
        "newinfo": "对不起，您的帐号未开通此业务权限！"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "股转市价"
            },
            {
                "text": "没有涨跌幅"
            }
        ],
        "newinfo": "该股票无涨跌幅期间不支持市价委托！"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "交易密码错误"
            }
        ],
        "newinfo": "交易密码错误，修改密码后请重新启动程序！"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "waiting for response failed"
            }
        ],
        "newinfo": "后台请求超时，请稍后再试",
        "ShowOriginError": "true",
        "ShowErrNo": "true"
     },
     {
        "type": 1,
        "pattern": [
            {
                "text": "Server have no this service"
            }
        ],
        "newinfo": "服务代码不存在，请重新登陆客户端，如果还出现该提示，请到fy.gtja.com重新下载客户端",
        "ShowOriginError": "true",
        "ShowErrNo": "true"
     },
     {
        "type": 1,
        "pattern": [
            {
                "text": "parse json failure"
            }
        ],
        "newinfo": "请求包解析错误，请重新登陆客户端，如果还出现该提示，请到fy.gtja.com重新下载客户端",
        "ShowOriginError": "true",
        "ShowErrNo": "true"
     },
    {
        "type": 1,
        "pattern": [
            {
                "text": "连接KCXP"
            },
            {
                "text": "管理员"
            }
        ],
        "newinfo": "服务器连接失败，请在登录界面【主站设置】中切换主站后再次尝试！",
        "ShowOriginError": "true",
        "ShowErrNo": "true"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "RTS:"
            },
            {
                "text": "管理员"
            }
        ],
        "newinfo": "服务器连接失败，请在登录界面【主站设置】中切换主站后再次尝试！",
        "ShowOriginError": "true",
        "ShowErrNo": "true"
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "创业板交易权限"
            },
            {
                "text": "融资融券账户"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
		"newinfo": "您的融资融券账户尚未开通创业板交易权限。",
        "ywbl": {
            "id": "XYCYBQXKT",
            "class": "TFyWeb",
            "name": "融资融券创业板权限开通"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "信用账户创业板权限为"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
		"newinfo": "您的融资融券账户尚未开通创业板交易权限。",
        "ywbl": {
            "id": "XYCYBQXKT",
            "class": "TFyWeb",
            "name": "融资融券创业板权限开通"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "创业板交易权限"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
		"newinfo": "您尚未开通创业板交易权限。",
        "ywbl": {
            "id": "CYBQXKT",
            "class": "TFyWeb",
            "name": "创业板权限开通"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "尚未开通创新企业股票"
            }
        ],
        "okbtn": "去开通",
		"newinfo": "您尚未开通创新企业股票及存托凭证交易权限",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "YWBLCTPZJY",
            "class": "TFyWeb",
            "name": "存托凭证交易权限开通"
        }
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "操作方式登"
            }
        ],
        "newinfo": "您的账户还未开通富易(F)委托方式的权限，请联系营业部开通！"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "这种方式操作"
            },
            {
                "text": "operway"
            }
        ],
        "newinfo": "您的账户还未开通富易(F)委托方式的权限，请联系营业部开通！"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "插件"
            },
            {
                "text": "ZHLC"
            }
        ],
        "newinfo": "对不起，综合理财服务转发服务暂不可用，详询95521！"
    },
    {
        "type": 3,
        "pattern": [
            {
                "text": "未有自行平仓权限"
            }
        ],
        "okbtn": "立即前往",
        "cancelbtn": "关闭",
        "newinfo": "您的账户信用状态目前为平仓类，且未有自行平仓权限，无法进行委托，您可前往“信用交易—自行平仓申请”申请相关权限或者查看权限申请进度。",
        "sunfunc": {
            "type": "TFyRzrq",
            "EVENT": "ZXPCSQ_Click"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "质押逆回购未指定"
            }
        ],
        "newinfo": "您还未开通逆回购权限!",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "QYSSYYH",
            "class": "TFyWeb",
            "name": "逆回购权限开通"
        }
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "未质押回购指定"
            }
        ],
        "newinfo": "您尚未开通质押正回购权限，请临柜开通。如需操作逆回购，请通过逆回购菜单进行交易。"
    },
    {
        "type": 1,
        "pattern_or": [
            {
                "text": "不允许进行[0x]"
            },
            {
                "text": "不允许进行[0w]"
            }
        ],
        "newinfo": "该证券现在处于做市交易状态，请至限价委托菜单进行交易！"
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "尚未签署可转债风险揭示书"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "newinfo":"您尚未开通可转债交易权限，请先开通后再委托。",
        "ywbl": {
            "id": "KZZQX",
            "class": "KZZQX",
            "name": "可转债权限开通"
        }
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": ".dbf加锁失败"
            }
        ],
        "newinfo": "行情系统正在初始化,请稍候!",
        "ShowErrNo": "true"
    },
    {
        "type": 3,
        "pattern": [
            {
                "text": "客户未开通分级基金购买权限"
            }
        ],
        "ShowErrNo": "true",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "sunfunc": {
            "type": "TFySetting",
            "EVENT": "About_Click"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "尚未开通沪伦通CDR交易权限"
            }
        ],
        "newinfo": "委托失败，请先开通沪伦通交易权限后再委托。",
        "ShowErrNo": "true",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "YWBLHLT",
            "class": "TFyWeb",
            "name": "沪伦通CDR交易权限开通"
        }
    },
    {
        "type": 3,
        "pattern": [
            {
                "text": "资金可用数不足"
            }
        ],
        "ShowErrNo": "true",
        "okbtn": "转入资金",
        "cancelbtn": "取消",
        "sunfunc": {
            "type": "TFyYz",
            "EVENT": "YZZZ_Click"
        }
    },
    {
        "type": 2,
        "pattern_or": [
            {
                "text": "选择股东代码"
            },
            {
                "text": "股东代码不存在"
            }
        ],
        "okbtn": "立即开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "KGDZH",
            "class": "TFyWeb",
            "name": "开设股东账户"
        }
    },
    {
        "type": 2,
        "pattern": [
        	 {
                "text": "股东"
            },
            {
                "text": "无合格投资者权限"
            }
        ],
        "okbtn": "立即开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "BEIJINGXSBYWBL",
            "class": "TFyWeb",
            "name": "北交所及新三板权限开通"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "北交所"
            }
            ,
             {
                "text": "权限"
            }
            ,
             {
                "text": "不得"
            }
        ],
        "okbtn": "立即开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "BEIJINGXSBYWBL",
            "class": "TFyWeb",
            "name": "北交所及新三板权限开通"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "不允许做上海风险警示"
            }
        ],
        "newinfo": "您还未签署风险警示股票风险揭示书。\r\n为了尽快完成您的交易，系统需要您签署风险揭示书，否则将不能进行存在退市风险股票的交易。\r\n是否现在签署风险揭示书？",
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "YWBLFXJSGJYQX",
            "class": "OTC",
            "name": "风险警示股票交易权限开通"
        }
    },
	 
    {
        "type": 2,
        "pattern": [{"text": "您尚未签署《风险警示股票融资融券交易风险揭示书（上海）》，该信用资金账号暂不允许买入上海风险警示证券"}],
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "RISKWARNINGINTRO",
            "class": "OTC1",
            "name": "风险警示股票融资融券交易风险揭示书（上海）"
        }
    },
    {
        "type": 2,
        "pattern": [{"text": "您尚未签署《风险警示股票融资融券交易风险揭示书（深圳）》，该信用资金账号暂不允许买入深圳风险警示证券"}],
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "ywbl": { 
            "id": "RISKWARNINGINTRO",
            "class": "OTC2",
            "name": "风险警示股票融资融券交易风险揭示书（深圳）"
        }
    },
    {
        "type": 2,		
        "pattern_or": [{"text": "您尚未签署《风险警示股票风险揭示书》，该资金账号暂不允许买入上海风险警示证券"},
		{"text": "您尚未签署《风险警示股票风险揭示书》，该资金账号暂不允许买入深圳风险警示证券"}],
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "ywbl": { 
            "id": "RISKWARNINGINTRO",
            "class": "OTC3",
            "name": "风险警示股票风险揭示书"
        }
    },
	
    {
        "type": 2,
        "pattern": [
            {
                "text": "信用账户尚未开通科创板"
            }
        ],
        "newinfo": "委托失败，请先开通信用账户科创板交易权限后再委托。",
        "ShowErrNo": "false",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "XYKCBQY",
            "class": "TFyXYKCB",
            "name": "科创板权限开通"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "未开通科创板"
            }
        ],
        "newinfo": "委托失败，请先开通科创板交易权限后再委托。",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "KCBQY",
            "class": "CKCBQX",
            "name": "科创版签约"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "您尚未开通定向可转债交易权限，无法进行定向可转债委托"
            }
        ],
        "newinfo": "",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
		"id":"YWBLDXKZZDETAIL","class":"Fyywbl","name":"定向可转债权限"
        }
    },
    {
        "type": 2,
        "pattern": [
            {
                "text": "股东"
            },
            {
                "text": "一类"
            },
            {
                "text": "投资者权限"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "取消",
        "ywbl": {
		"id":"XSBYWBL","class":"Fyywbl","name":"北交所及新三板权限开通"
        }
    }
	
	
	,
	{
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "上海警示证券买入"
            }
        ],
        "newinfo": "您还未签署风险警示股票风险揭示书。\r\n为了尽快完成您的交易，系统需要您签署风险揭示书，否则将不能进行存在退市风险股票的交易。\r\n是否现在签署风险揭示书？",
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "YWBLFXJSGJYQX",
            "class": "OTC",
            "name": "风险警示股票交易权限开通"
        }
    },
	
    {
        "type": 3,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "分级基金权限"
            }
        ],
        "ShowErrNo": "true",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "sunfunc": {
            "type": "TFySetting",
            "EVENT": "About_Click"
        }
    },
	
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "沪科创板普通权限"
            }
        ],
        "newinfo": "委托失败，请先开通科创板交易权限后再委托。",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "KCBQY",
            "class": "CKCBQX",
            "name": "科创版签约"
        }
    },
	
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "沪科创板信用权限"
            }
        ],
        "newinfo": "委托失败，请先开通信用账户科创板交易权限后再委托。",
        "ShowErrNo": "false",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "XYKCBQY",
            "class": "TFyXYKCB",
            "name": "科创板权限开通"
        }
    },    
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "创业板核准制权限"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
		"newinfo": "您当前账户创业板权限为核准制交易权限，不能做创业板股票的开仓。",
	"newinfoxy": "您当前的信用账户创业板权限为核准制交易权限，不能做创业板股票的信用开仓。",
        "ywbl": {
            "id": "CYBQXKT",
            "class": "TFyWeb",
            "name": "创业板权限开通"
        },
	"ywblxy": {
            "id": "XYCYBQXKT",
            "class": "TFyWeb",
            "name": "融资融券创业板权限开通"
        }
    },
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "创业板注册制权限"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
		"newinfo": "您的账户尚未开通注册制创业板交易权限。",
	"newinfoxy": "您的融资融券账户尚未开通注册制创业板交易权限。",
        "ywbl": {
            "id": "CYBQXKT",
            "class": "TFyWeb",
            "name": "创业板权限开通"
        },
	"ywblxy": {
            "id": "XYCYBQXKT",
            "class": "TFyWeb",
            "name": "融资融券创业板权限开通"
        }
    },
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "创业板权限"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
		"newinfo": "您的账户尚未开通创业板交易权限。",
	"newinfoxy": "您的融资融券账户尚未开通创业板交易权限。",
        "ywbl": {
            "id": "CYBQXKT",
            "class": "TFyWeb",
            "name": "创业板权限开通"
        },
	"ywblxy": {
            "id": "XYCYBQXKT",
            "class": "TFyWeb",
            "name": "融资融券创业板权限开通"
        }
    },
	 
    {
        "type": 1,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "质押指定"
            }
        ],
        "newinfo": "您尚未开通质押正回购权限，请临柜开通。如需操作逆回购，请通过逆回购菜单进行交易。"
    },
	 
	 
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "逆回购指定"
            }
        ],
        "newinfo": "您还未开通逆回购权限!",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "QYSSYYH",
            "class": "TFyWeb",
            "name": "逆回购权限开通"
        }
    },
	 
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "创新存托"
            }
        ],
        "okbtn": "去开通",
		"newinfo": "您尚未开通创新企业股票及存托凭证交易权限",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "YWBLCDROPEN",
            "class": "TFyWeb",
            "name": "存托凭证交易权限开通"
        }
    },
  
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "缺少业务权限"
            },
            {
                "text": "可转债权限"
            }
        ],
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "newinfo":"您尚未开通可转债交易权限，请先开通后再委托。",
        "ywbl": {
            "id": "KZZQX",
            "class": "KZZQX",
            "name": "可转债权限开通"
        }
    },
    {
        "type": 2,		
        "pattern_or": [{"text": "您的账户尚未开通公募REITs交易权限"},
		{"text": "您的两融账户尚未开通公募REITs交易权限"}],
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "ywbl": { 
            "id": "REITS",
            "class": "REITS",
            "name": "公募REITs交易权限"
        }
    },
    {
        "type": 2,		
        "pattern": [{"text": "业务权限[REITs风险揭示书签署权限]"}],
        "ShowErrNo": "true",
        "okbtn": "签署",
        "cancelbtn": "关闭",
        "newinfo": "您的账户尚未开通公募REITs交易权限，请先开通后再委托。",
        "newinfoxy": "您的两融账户尚未开通公募REITs交易权限，请先开通后再委托。",
        "ywbl": { 
            "id": "REITS",
            "class": "REITS",
            "name": "公募REITs交易权限"
        }
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "可用节点"
            },
            {
                "text": "com.gtja"
            }
        ],
        "ShowOriginError": "false",
        "newinfo": "微服务后台连接超时，请稍后再试！"
    },
    {
        "type": 1,
        "pattern": [
            {
                "text": "waiting"
            },
            {
                "text": "response"
            }
        ],
        "ShowOriginError": "false",
        "newinfo": "后台连接超时，请稍后再试！"
    },
  	{
        "type": 1,
        "pattern": [
            {
                "text": "密码校验失败"
            }
        ],
        "ShowOriginError": "false",
        "newinfo": "密码错误，请重新输入。"
    },
    {
        "type": 2,
		"isLts": 1,
        "pattern": [
            {
                "text": "未签署基金风险揭示书"
            }
        ],
        "okbtn": "去签署",
        "cancelbtn": "关闭",
        "ywbl": {
            "id": "YWBLJJFXJSS",
            "class": "YWBLJJFXJSS",
            "name": "基金风险揭示书签署"
        }
    },
    {
        "type": 2,		
        "pattern_or": [{"text": "缺少业务权限[债券普通投资者权限]"},
		{"text": "尚未签署普通投资者公司债、企业债买入风险揭示书"}],
        "ShowErrNo": "true",
        "okbtn": "去开通",
        "cancelbtn": "关闭",
        "ywbl": { 
            "id": "ZQPTTZZ",
            "class": "ZQPTTZZ",
            "name": "债券普通投资者交易权限开通"
        }
    }
]